#
# spec file for package bowman (Version 0.93e)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm tetex

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         bowman
Release:      14
Copyright:    Bo Yang
Group: 
Provides:     bowman 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Window manager with  the NeXT-Step "look and feel"
Version:      0.93e
Source: bowman-0.93e.tar.gz
Patch: bowman-0.93e.dif
%description
Based on the fvwm window manager, imitating the NeXTSTEP GUI. Can be
installed without problem with fvwm and fvwm95.
Documentation: 
/usr/doc/packages/bowman 

Authors:
--------
    Bo Yang <eric@coeus.ucsd.edu>

%prep
%setup -n bowman-0.93
%patch
touch Imakefile
./MakeMakefiles
%build
make && \
cd documentation && latex modules
%install
DOCS=".message CHANGES README TODO fvwm.README fvwm.INSTALL sample.bowmanrc"
XDOC="WhereToGetIt error_codes m4_hacks mailing_list modules.tex modules.dvi"
make install && \
install -d -m 755 /usr/doc/packages/bowman/documentation && \
install -m 644 ${DOCS} /usr/doc/packages/bowman && \
( cd documentation && install -m 644 ${XDOC} /usr/doc/packages/bowman/documentation ) && \
cd /usr/X11R6/lib/X11/bowman && ln -s ../../../../doc/packages/bowman docs && \
#
Check
%files
%docdir /usr/X11R6/man
%dir /usr/X11R6/lib/X11/bowman
%dir /usr/doc/packages/bowman
%dir /usr/doc/packages/bowman/documentation
/usr/X11R6/bin/bowman
/usr/X11R6/lib/X11/bowman/Wharf
/usr/X11R6/lib/X11/bowman/docs
/usr/X11R6/lib/X11/bowman/system.bowmanrc
%doc /usr/doc/packages/bowman/.message
%doc /usr/doc/packages/bowman/CHANGES
%doc /usr/doc/packages/bowman/README
%doc /usr/doc/packages/bowman/TODO
%doc /usr/doc/packages/bowman/documentation/WhereToGetIt
%doc /usr/doc/packages/bowman/documentation/error_codes
%doc /usr/doc/packages/bowman/documentation/m4_hacks
%doc /usr/doc/packages/bowman/documentation/mailing_list
%doc /usr/doc/packages/bowman/documentation/modules.dvi
%doc /usr/doc/packages/bowman/documentation/modules.tex
%doc /usr/doc/packages/bowman/fvwm.INSTALL
%doc /usr/doc/packages/bowman/fvwm.README
%doc /usr/doc/packages/bowman/sample.bowmanrc

